﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="MEvaluaciones", Namespace="http://schemas.datacontract.org/2004/07/ServicesSOAP.Modelo")]
    [System.SerializableAttribute()]
    public partial class MEvaluaciones : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime dFechaRegistroField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int iCalificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long lIdEvaluacionServicioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string sCorreoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string sNombresField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime dFechaRegistro {
            get {
                return this.dFechaRegistroField;
            }
            set {
                if ((this.dFechaRegistroField.Equals(value) != true)) {
                    this.dFechaRegistroField = value;
                    this.RaisePropertyChanged("dFechaRegistro");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int iCalificacion {
            get {
                return this.iCalificacionField;
            }
            set {
                if ((this.iCalificacionField.Equals(value) != true)) {
                    this.iCalificacionField = value;
                    this.RaisePropertyChanged("iCalificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long lIdEvaluacionServicio {
            get {
                return this.lIdEvaluacionServicioField;
            }
            set {
                if ((this.lIdEvaluacionServicioField.Equals(value) != true)) {
                    this.lIdEvaluacionServicioField = value;
                    this.RaisePropertyChanged("lIdEvaluacionServicio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string sCorreo {
            get {
                return this.sCorreoField;
            }
            set {
                if ((object.ReferenceEquals(this.sCorreoField, value) != true)) {
                    this.sCorreoField = value;
                    this.RaisePropertyChanged("sCorreo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string sNombres {
            get {
                return this.sNombresField;
            }
            set {
                if ((object.ReferenceEquals(this.sNombresField, value) != true)) {
                    this.sNombresField = value;
                    this.RaisePropertyChanged("sNombres");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReferenceEvaluacionesSOAP.IService1")]
    public interface IService1 {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/GetListarEvaluaciones", ReplyAction="http://tempuri.org/IService1/GetListarEvaluacionesResponse")]
        WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.MEvaluaciones[] GetListarEvaluaciones(System.DateTime dFechaRegistroInicio, System.DateTime dFechaRegistroFin);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/GetListarEvaluaciones", ReplyAction="http://tempuri.org/IService1/GetListarEvaluacionesResponse")]
        System.Threading.Tasks.Task<WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.MEvaluaciones[]> GetListarEvaluacionesAsync(System.DateTime dFechaRegistroInicio, System.DateTime dFechaRegistroFin);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IService1Channel : WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.IService1, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class Service1Client : System.ServiceModel.ClientBase<WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.IService1>, WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.IService1 {
        
        public Service1Client() {
        }
        
        public Service1Client(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public Service1Client(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.MEvaluaciones[] GetListarEvaluaciones(System.DateTime dFechaRegistroInicio, System.DateTime dFechaRegistroFin) {
            return base.Channel.GetListarEvaluaciones(dFechaRegistroInicio, dFechaRegistroFin);
        }
        
        public System.Threading.Tasks.Task<WebFrontAppChallengev1.ServiceReferenceEvaluacionesSOAP.MEvaluaciones[]> GetListarEvaluacionesAsync(System.DateTime dFechaRegistroInicio, System.DateTime dFechaRegistroFin) {
            return base.Channel.GetListarEvaluacionesAsync(dFechaRegistroInicio, dFechaRegistroFin);
        }
    }
}
